#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.8.0
visibility:           public
id:                   clash-ghc-1.8.0-FnZu1k3mlKw7TMqXQpj3Oo
key:                  clash-ghc-1.8.0-FnZu1k3mlKw7TMqXQpj3Oo
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  5a3e902014441cd4047d43e5c1df73de
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.Leak Clash.GHCi.UI Clash.GHCi.UI.Info
    Clash.GHCi.UI.Monad Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Util Clash.GHCi.UI.Tags

import-dirs:          /usr/lib/ghc-9.2.8/site-local/clash-ghc-1.8.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/clash-ghc-1.8.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/clash-ghc
hs-libraries:         HSclash-ghc-1.8.0-FnZu1k3mlKw7TMqXQpj3Oo
depends:
    Cabal-3.6.3.0 array-0.5.4.0 base-4.16.4.0 bytestring-0.11.4.0
    clash-lib-1.8.0-4sfmg81JLzqbbLpDGdROq
    clash-prelude-1.8.0-6GexnQQNHOnBvctdAyKIJq
    concurrent-supply-0.1.8-2lwTn1AA1sl76BRVuIRtmD containers-0.6.5.1
    data-binary-ieee754-0.4.4-5RBO9sqtqwKK43ihLnlB61 deepseq-1.4.6.1
    directory-1.3.6.2 exceptions-0.10.4
    extra-1.7.14-6ECMKZmdBCZCQG42VBZGH0 filepath-1.4.2.2 ghc-9.2.8
    ghc-bignum-1.2 ghc-boot-9.2.8 ghc-prim-0.8.0
    ghc-typelits-extra-0.4.4-4sBsxz2tvi44mVkNaxtsDt
    ghc-typelits-knownnat-0.7.8-LfYkCxNt9tjCMW6QXenajd
    ghc-typelits-natnormalise-0.7.8-IJbKRvn89ET1aEsjqq99Jw ghci-9.2.8
    hashable-1.4.3.0-CcD3sjCyxJjIKHS9bT8WC1 haskeline-0.8.2
    lens-5.2.3-FNkYU5E5R9aJRCIGH5TmfH mtl-2.2.2
    primitive-0.7.4.0-7EmETL08CQ5nNVujSkVxd process-1.6.16.0
    reflection-2.1.7-K3D820mTnbg2GLALSKisui
    split-0.2.5-zExecrhLEOISLf41AL8ch
    string-interpolate-0.3.3.0-6zimf1sPlNRFkIH0TuM6HJ
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 uniplate-1.6.13-C2iksnRs4Af7w8GQenmUgF
    unix-2.7.2.2 unordered-containers-0.2.20-47hukrr2IXRFDwJY5DTAr2
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-AXstUsf4rEVFm5YPigldNP

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

